
//
//  :
//
// 1.0     20  2009      .
//

program Delphi6example;

uses
  SpnxReader in 'SpnxReader.pas';

var
  hReader: SPNX_HANDLE;
  keyBuffer: array[1..3] of byte;
  keyField1, keyField2: Integer;

begin

  hReader := nil;

  //  

  if (SpnxReaderOpen(hReader)<>TRUE) then begin
    WriteLn( 'Unable to open the reader. Device is probably disconnected, disabled or driver is not installed.' );
    exit;
  end;

  //        .

  while true do begin

    if (SpnxReaderReceiveW26(hReader,@keyBuffer,sizeof(keyBuffer))<>TRUE) then begin
      //  . ,    USB.
      WriteLn( 'Communication error. Device is probably disconnected.' );
      exit;
    end;

    keyField1 := keyBuffer[1];
    keyField2 := keyBuffer[2]*256 + keyBuffer[3];

    WriteLn( keyField1:3,',',keyField2:5 );

  end;

end.
